create table not_null_1 (
  key_entry        char(20) not null,
  value            char(40)
)\g

insert into not_null_1 values( 'entry_1', NULL )\g
insert into not_null_1 values( 'entry_2', NULL )\g
insert into not_null_1 values( 'entry_3', NULL )\g
insert into not_null_1 values( 'entry_4', NULL )\g
insert into not_null_1 values( 'entry_5', NULL )\g
insert into not_null_1 values( 'entry_6', NULL )\g

select * from not_null_1\g

update not_null_1 set value = 'testing value 1' where key_entry like '%4'\g

select * from not_null_1\g

select value from not_null_1\g

update not_null_1 set value = 'testing value 2' where key_entry = 'entry_2'\g

select * from not_null_1\g

select value from not_null_1\g

update not_null_1 set value = 'nonsense'\g

select * from not_null_1\g

select value from not_null_1\g

drop table not_null_1\g

\q
